;macros.def
;;;useful M4 macros for Asm80
;;;$Id: macros.def,v 1.4 2011/10/02 07:59:27 goosey Exp goosey $

;Willard Goosey
;9/12/2011

;requires 8085undoc.def

ifdef(`ldhi',`',`include(`8085undoc.def')')

;`ahi(x)' add a byte to HL
define(`ahi',`;macro `ahi' add immediate byte to HL
	push d
	ldhi($1)
	xchg
	pop d
	;end `ahi' macro
	')

;end macros.def